at.chipkarte.client.base.soap.constants

## Class ServiceExceptionConstants

- Object
- - at.chipkarte.client.base.soap.constants.ServiceExceptionConstants

-     public final class ServiceExceptionConstants
      extends Object

  Fehlerkonstanten bei allgemeinen Fehlern des Ordinationsclients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONNECTION_ERROR` Keine Verbindung zum e-card-Server möglich.
    `static int` | `FUNCTION_LOCKED` Die aufgerufene Funktion steht zurzeit nicht zur Verfügung, weil sie durch einen anderen Benutzer gesperrt ist.
    `static int` | `INCOMPATIBILITY_EXCEPTION` Es ist eine Inkompatibilität auf der Schnittstelle aufgetreten.
    `static int` | `INTERNAL_ERROR` Interner grundlegender Fehler im System.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Interner grundlegender Fehler im System.
      ORCLI-Code: CL-A0001, CL-A0048, CL-A0049, CL-A0050, CL-A0051 CL-00122, CL-00125, CL-00174, CL-00181, CL-S0006, CL-S0009, CL-S0010, CL-S0012, CL-S0013, ZS-1700006, ZS-1700007, ZS-1700008, ZS-1700009, ZS-00103, ZS-100104, ZS-2000018, ZS-2000019, ZS-2000020, ZS-2000021, ZS-1000001, CL-2200001, ZS-2200002, ZS-3000004, ZS-3000005, ZS-3000006, ZS-3000007, ZS-3000013, ZS-3000014, ZS-3100046, ZS-3100047, ZS-3100048, ZS-3100049, ZS-10041

      Hinweis zu CL-S0013: Die Schnittstellenversion wird im Dialog gespeichert. Falls nach dem ersten Serviceaufruf eine andere Version dieses Service verwendet werden soll, so muss dazu ein neuer Dialog aufgebaut werden.

      See Also:
        Constant Field Values

    - #### FUNCTION_LOCKED

          public static final int FUNCTION_LOCKED

      Die aufgerufene Funktion steht zurzeit nicht zur Verfügung, weil sie durch einen anderen Benutzer gesperrt ist.
      ORCLI-Code: CL-01090
      See Also:
        Constant Field Values

    - #### INCOMPATIBILITY_EXCEPTION

          public static final int INCOMPATIBILITY_EXCEPTION

      Es ist eine Inkompatibilität auf der Schnittstelle aufgetreten. Fehlernummer: <OriginalFehlernummer>.
      ORCLI-Code: CL-I0001, ZS-99999
      See Also:
        Constant Field Values

    - #### CONNECTION_ERROR

          public static final int CONNECTION_ERROR

      Keine Verbindung zum e-card-Server möglich. Der Status des jeweiligen Service ändert sich zum Modus `OFFLINE` bzw. der Offline-Status ist bereits bekannt.
      ORCLI-Code: CL-00115 (allgemein und KSE), CL-04223 (ABS), CL-05005 (VDAS), CL-08101 (SAS), CL-02500 (DMP), CL-00265 (TSV), CL-03005 (AUM), CL-1200050 (DBAS), CL-1599999 (DAS), CL-1700001 (PROP), CL-1800001 (BKF), CL-2200072 (ELGAAD), CL-3100001 (REZ)
      See Also:
        Constant Field Values